import {Path} from "./path";
import {ListComponent} from "./list";
import {makeStyles} from "@fluentui/react-components";
import {useStoreBucket} from "../../store/bucket";
import {useStoreFile} from "../../store/file";

const useStyles = makeStyles({
    content: {
        flex: '1',
        display: "flex",
        flexDirection: 'column',
        height: "100%",
        width: "100%",
    },
})

export function Content() {

    const styles = useStyles()
    const {bucket_list} = useStoreBucket()
    const {bucket, file_list} = useStoreFile()

    return <div className={styles.content}>
        <Path/>
        {
            bucket.name ?
                <ListComponent type={'file'} list={file_list.map(item => item.name)}/> :
                <ListComponent type={'bucket'} list={bucket_list.map(item => item.name)}/>
        }
    </div>
}